#include <stdio.h>
#include "dlgfilesettings.h"
#include "dlgfilesettings.moc"

FileSettingsDlg::FileSettingsDlg(DrawWidget* iClient, QWidget* parent=0, const char* name=0):
     QDialog (parent, name, WStyle_DialogBorder)
{
QString StartFile;
   Client = iClient;
   setFixedSize(400,300);
   setCaption("Filesettings");

   ColorMapCheck = new QCheckBox("Save colormap in parameterfile", this, "ColorMapCheck");
   ColorMapCheck->setGeometry(20,20,200,20);
   ColorMapCheck->setChecked(Client->SaveColorMapBool);
   
   StartUpFileEdit = new QLineEdit(this, "StartUpFileEdit");
   StartUpFileEdit->setGeometry(100,220,250,22);
   QLabel* Label1 = new QLabel("Startupfile :", this, "Label1");
   Label1->setGeometry(20,220,75,18);

   Config = KApplication::getKApplication()->getConfig();
   Config->setGroup("Allgemeines");
   StartFile = Config->readEntry("StartParameter","");
   StartUpFileEdit->setText(StartFile);

   QPushButton* SuchBtn = new QPushButton("Look", this, "SuchBtn");
   SuchBtn->setGeometry(355,220,40,22);
   connect(SuchBtn, SIGNAL(clicked()), this, SLOT(SuchBtnClick()) );

   QPushButton* OkBtn = new QPushButton("OK", this, "OkBtn");
   OkBtn->setGeometry(210,260,80,30);
   connect(OkBtn, SIGNAL(clicked()), this, SLOT(accept()) );

   QPushButton* CancelBtn = new QPushButton("Cancel", this, "CancelBtn");
   CancelBtn->setGeometry(310,260,80,30);
   connect(CancelBtn, SIGNAL(clicked()), this, SLOT(reject()) );
}

int FileSettingsDlg::SetValues()
{
   Client->SaveColorMapBool = ColorMapCheck->isChecked();
   
   Config->writeEntry("StartParameter", StartUpFileEdit->text());
   Config->sync();

   return TRUE;
}

void FileSettingsDlg::SuchBtnClick()
{
   QString f = QFileDialog::getOpenFileName( 0, "*.par", this );
   if ( !f.isEmpty() )
      StartUpFileEdit->setText(f);
      
                    
}